Debian GNU 6.0 «Squeeze» вышел

    Танцуют все!

    Итак, только что завершили формирование образов и окончательно вышел Debian GNU 6.0 «Squeeze», как обычно доступно множество архитектур, среди которых:
    • amd64
    • armel
    • kfreebsd-i386
    • kfreebsd-amd64
    • i386
    • ia64
    • mips
    • mipsel
    • powerpc
    • sparc
    • s390


    К сожалению, поддержки архитекруры arm больше нет, но наверняка будет неофициальная.

    Среди самых значимых нововведений могу отметить появление возможности использовать ядро FreeBSD и полностью свободное ядро, блобы из которого выделены в отдельные пакеты. Кроме того, репозиторий backports.org получил официальный статус и теперь доступен по адресу backports.debian.org.
    УПД: как выяснилось, живые диски для архитектур i386 и amd64 тоже получили официальный статус.

    А также свежий софт:
    • KDE 4.4.5
    • GNOME 2.30
    • Xfce 4.6
    • Linux 2.6.32
    • GRUB2 1.98
    • OpenOffice.org 3.2.1
    • GIMP 2.6.11
    • Iceweasel 3.5.16
    • PostgreSQL 8.4.6
    • MySQL 5.1.49
    • GCC 4.4.5
    • Apache 2.2.16
    • Samba 3.5.6
    • Python 2.6.6, 2.5.5 и 3.1.3
    • Perl 5.10.1
    • PHP 5.3.3
    • Asterisk 1.6.2.9
    • Nagios 3.2.3
    • Xen 4.0.1
    • OpenJDK 6b18
    • Tomcat 6.0.18
    • более 29000 пакетов, собранных из более чем 15000 тарболлов.


    Дизайн сайта проекта обновлён в соответствии с новым оформлением Дебиана. Доступна также подробная информация о выпуске, в том числе, на русском языке. Обновление рекомендуется выполнять с помощью apt-get.
    AdBlock похитил этот баннер, но баннеры не зубы — отрастут

    Подробнее
    Реклама

    Комментарии 64

      +4
      да, наконец-таки в описании шаблонов машин можно убрать упоминание о том, что это «тестовая» версия.

        +1
        не знаю, как вы, а я уже выполняю dist-upgrade на всех серверах
          +3
          Я тоже, хорошо что воскресенье.
            0
            Аналогично. Один production уже обновил.
            –14
            Озадаченно смотрю на версии «свежего софта»…
            На моей бубунте уже как минимум Гном, офис и ядро более новых версий. Подозреваю, если посмотрю на прочий установленный или доступный в репозиториях софт — ситуация будет аналогичной.

            Объясните — в чем смысл? Только в «проверенности» и стабильности этих версий?
              +24
              да. дебиан не релизится, пока не будут исправлены ВСЕ ошибки. сакральный смысл появления свежего софта в новых стабильных релизах дебиана — новые технологии, а не новые свистелки. те, кому нужны пакеты посвежее, сидят на тестинге/анстэйбле и, может быть, полуофициальных репозиториях. те, кому нужны пакеты посвежее невзирая на качество их работы, сидят на арче, например. дебиан настолько стабилен, что стабильные выпуски убунты основываются на нестабильной ветке дебиана
                +6
                да. дебиан не релизится, пока не будут исправлены ВСЕ ошибки.

                Мне кажется, что вы сильно ошибаетесь: bugs.debian.org/release-critical/other/stable.html
                  0
                  > дебиан не релизится, пока не будут исправлены ВСЕ ошибки

                  Особенно те, которые обнаруживаются в апстриме после релиза дебиана. Как, например, печально известный баг с mercurial, который в стейбле до сих пор присутствует, а апстримом пофикшен почти два года назад.
                    0
                    Хорошо, но всё же, неужели KDE 4.4.5 стабильней, чем 4.5.5? Ведь если в той же 4.5 первоначально были «new features and improvements», то последующие 5 минорных релизов по-большей части добавляли «performance and stability improvements and other bugfixes» Не знаю, были ли эти баги в ветке 4.4, так же не знаю, исправляются ли они в ней. Но учитывая что уже вышла 4.6, 4.4 представляется совсем устаревшей веткой.
                      –3
                      > не будут исправлены ВСЕ ошибки
                      /0
                      +20
                      Да. И это «только» весьма дорогого стоит. Более того, в рамках политики дебиана обновляться версии будут только на security fix'ы, то есть никаких новых фич до момента явного dist-upgrade'а. Сравните с убунтой, в которой каждые N дней пачка обновляемых пакетов.

                      Для десктопа это, может быть и нормально, но для сервера — неприемлимо. Я лично несколько раз сталкивался с дурацкими проблемами при обновлении версий (к счастью, только на декстопе). В списке лидеров — evolution (похерил архив почту), krusader (похерил половину настроек), deluge (криво подцепил старые настройки).

                      Если такой же сюрприз произойдёт на продакт-сервере, это будет очень не смешно. Особенно, если учесть сложность отката некоторых изменений в распределённых системах, даже при наличии бэкапа.

                      Таким образом, stable — это идеальное решение для сервера. А sid/ubuntu — вполне хорошо для _своего_ десктопа (решать проблемы похерившейся почты у себя неприятно, но решать их же у главбуха — куда грустнее).

                      Кстати, ровно той же политики придерживается и RHEL (CentOS) — у них в пятой версии до сих пор 2.6.18, хоть и с кучей бэкпортов.
                        +14
                        Понял, спасибо за разъяснение.
                        • НЛО прилетело и опубликовало эту надпись здесь
                            –7
                            лично я — ubuntu server
                              0
                              Нет, RHEL ещё бэкпортит всю модульную функциональность (то есть модули, которые можно собрать под другую версию ядра). Само ядро остаётся 2.6.18, и за это его так любят, например, зеновцы, у которых родное ядро — так же 2.6.18.

                              Если бы не было Debian/RHEL, видимо, следующий выбор — OpenSUSE, хотя она мне и не нравится.

                              PS Если бы не было дебиана, всех его форков тоже бы не было, так что выбор бы был на уровне SUSE/Slackware/Gentoo/Arch/ещё какая экзотика.
                            +4
                            Господа, неужели за заданный вопрос оправданно минусовать карму?

                            Да, я не пересекаюсь последние годы с серверами, а только пользуюсь убунтой на десктопе, потому у не в курсе был, что ветка Debiana заточена именно под высокую стабильность для серверов.
                            Спросил тут. Мне объяснили. Поблагодарил.

                            Ладно — минуса за коммент. Но неужели этот вопрос настолько кому-то оскорбителен, что достоин минусов и в карму?
                            0
                            Поехали обновляться
                              +2
                              Заголовок совсем чуточку некорректен („«Debian GNU/Linux 6.0 «Squeeze» вышел”). В этом релизе есть версия Debian, основанная на ядре FreeBSD (kfreebsd-i386, kfreebsd-amd64).
                                +1
                                действительно. теперь всё правильно, и даже столлман одобрил бы
                                  0
                                  Кстати, было бы интересно узнать по-поводу этой версии — стоит ли ее ставить на сервер, например.
                                  У кого-нибудь был опыт с kFreeBSD?
                                    +2
                                    Я ставил примерно полгода тому назад. Системные утилиты в большинстве своем работали тогда нормально, но залогиниться в gdm так и не получилось, хоть X11 и запустился.

                                    В целом, очень непривычно видеть перед собой FreeBSD + GNU утилиты + обычный apt. :)
                                      0
                                      Интересная штуковина, даже на знал про такую, спасибо.
                                • НЛО прилетело и опубликовало эту надпись здесь
                                  • НЛО прилетело и опубликовало эту надпись здесь
                                    +1
                                    К сожалению, поддержки архитекруры arm больше нет, но наверняка будет неофициальная.

                                    Я неправильно понял www.debian.org/ports/arm/index.en.html, или всё правда не так плохо?
                                    Debian fully supports a port to little-endian ARM. The ARM EABI (armel) port has been integrated in Debian and the old (arm) port is deprecated.

                                      +1
                                      «Просто» arm на самом деле означает ARM OABI Big-Endian, в то время как armel — ARM EABI Little-Endian. Endianness для ARM не важен — процессор может использовать любой — а старым ABI все равно никто давно не пользуется.

                                      В сущности, ничего плохого не произошло, просто название архитектуры неудачно воспринимается.
                                      +5
                                      >К сожалению, поддержки архитекруры arm больше нет
                                      Есть там всё. Убрали платформу 'arm' (на устаревшем ABI), вместо неё — 'armel'.
                                        0
                                        Обновился. Всё отлично. Поздравляю всех :)
                                          +1
                                          Вбивая в консоль «apt-get dist-upgrade» прямо хочется выкрикнуть «Поехали!» :)
                                            +1
                                            А как там с драйверами на видео? Что по умолчанию используется?
                                              0
                                              ручками! учимся работать ручками!
                                                0
                                                Я ручками над арчём работал — кривоваты ручки. Не осилили нормально завести мой древний radeon x1100. Только OGL 1.5, да и то с такой головной болью я этого добился:)
                                                  0
                                                  Ставь тогда убунту и не парься
                                                    0
                                                    Ну я вот сейчас ждё выхода 11.04 — посмотрим, что они там намутят)
                                                0
                                                Так, Debian Live на radeon x1100 радует строчками

                                                Direct rendering yes.

                                                и

                                                OpenGL version 2.1

                                                Драйвер — Mesa 7.7. В принципе, если ручками обновить до 7.9, то и gallium наверное завести можно будет.
                                                0
                                                Круто!
                                                Я как раз созрел, чтобы слезть с Ubuntu на сервере и на десктопе.
                                                  +3
                                                  А Вы замените в apt.conf репозитории Ububntu на Debian sid, и через два года сами не заметите, как перейдёте.
                                                    +4
                                                    сколько раз убеждался, что убунту на сервере это просто страшно
                                                    +3
                                                    При dist-upgrade с lenny советую дописывать --no-install-recommends, а то мне apt чуть ли не иксы на сервер притащил :)
                                                      0
                                                      это есть по последней ссылке
                                                      0
                                                      hp-pa архитектуру загубили.
                                                        0
                                                        беда)
                                                          0
                                                          Вам ничего, а у меня есть пара специфических железок, и желания учить HP-UX нет совсем.
                                                        0
                                                        The multi-arch CD images support i386/amd64/powerpc and alpha/hppa/ia64 respectively; the installation is similar to installing from a single architecture netinst image.

                                                        похоже, что всё-таки нет
                                                        +1
                                                        Поздравляю всех с релизом, жаль убунтоидные тролли не обошли данное событие.
                                                          +2
                                                          Собака лает — караван идёт:)
                                                          –3
                                                          Дебиан — очень хороший дистрибутив, но свежестью софта там и не пахнет. Xfce 4.8 уже несколько неделю как вышел и уже доступен в бубунте и арче(про остальные не в курсе).
                                                            +1
                                                            Дебиан не гониться за плюшками, если она вам надо, то пользуйтесь убунтой. Цель дебиана — быть стабильным.
                                                              +1
                                                              для тех, кто в танке: у дебиана есть ветки stable, testing, unstable.
                                                                0
                                                                и experimental для любителей погорячее
                                                                  0
                                                                  Даже в экспериментальной ветке на момент написания комментария(6 февраля) не было.
                                                                0
                                                                Можно я глупый вопрос задам? Как обновиться с lenny, если стоит ISPmanager?

                                                                Пишу:
                                                                #apt-get update
                                                                #apt-get dist-upgrade

                                                                а оно мне в ответ
                                                                Reading package lists... Done
                                                                Building dependency tree
                                                                Reading state information... Done
                                                                Calculating upgrade... Done
                                                                0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
                                                                  0
                                                                  Сначала поправьте репозитории /etc/apt/sources.list
                                                                    +1
                                                                    Если коротко, то вот так:
                                                                    1. В /etc/apt/sources.list исправляем все слова «lenny» на «squeeze».
                                                                    2. #apt-get update
                                                                    3. #apt-get install apt aptitude dpkg
                                                                    4. #apt-get dist-upgrade
                                                                    Во время обновления внимательно читаем, что пишут установочные скрипты.

                                                                    Если есть вопросы, читаем официальное руководство.
                                                                      0
                                                                      Все получилось, спасибо! :)
                                                                      +1
                                                                      Сначала надо в /etc/apt/sources.list заменить репозитории. А потом делать apt-get-ы. Обычно достаточно поменять названия, т.е. все «lenny» заменить на «squeeze». Но если после этого #apt-get update начнет писать 404, то значит для отдельных репозиторием надо что-то поменять дополнительно (т.е. действуем по ситуации и гуглим).
                                                                      0
                                                                      Хорошая новость пойду обновлюсь :)
                                                                        0
                                                                        Вчера ещё обновил, по привычке я запрещаю ей менять конфиги при обновлении поэтому mysql и proftpd не завелись, причем mysql не хотел ни ставится, ни удаляться, решение удалить старый конфиг my.cnf и переименовать вместо него дефолтный my.cnf.dpkg-dist ну и дописать в него при необходимости, а в конфиге proftpd надо заменить везде DisplayFirstChdir на DisplayChdir.
                                                                        А в целом хорошее как всегда обновление, убунта без переустановки у меня редко обходится.
                                                                          0
                                                                          Тоже с MySQL знатно огрёбся. Но таки удалось снести подчистую и переставить с нуля.
                                                                          0
                                                                          Из squeeze убрали пакет ipmasq. Неожиданно.
                                                                            0
                                                                            Друзья, а подскажите — на сколько дебиан подойдет для десктопа для вебдева? Так-то дебиан для меня не впервой, но только на сервере и в консоли. А тут задумался пересаживаться на дебиан (или все же убунту оставить?), поскольку нравится он мне. :)
                                                                              0
                                                                              Я бы всетаки порекомндовал Linux Ubuntu/Mint в качестве десктопа. По большой степени из-за более развитого коммюнити. На любую проблему вы найдете ответ на ubuntuforums.org

                                                                              Хотя если вы свободно чувствуете себя с Debian то наверняка сможете настоить и его.

                                                                            Только полноправные пользователи могут оставлять комментарии. Войдите, пожалуйста.

                                                                            Самое читаемое